| Method | Path               | Summary                                                             |
| ------ | ------------------ | ------------------------------------------------------------------- |
| `GET` | `/v0/openapi.json` | [Get OpenAPI Document](/content/docs/reference/api/openapi#get-openapi-document/index.html) |

## [Get OpenAPI Document](/content/docs/reference/api/openapi#get-openapi-document/index.html)

http

```
GET /v0/openapi.json
```

This OpenAPI 3.1 document, as JSON. No authentication.

**Authentication:** None.

#### [Response](/content/docs/reference/api/openapi#response/index.html)

**200** The OpenAPI document (`application/json`)

Type: `Record<string, unknown>`

#### [Errors](/content/docs/reference/api/openapi#errors/index.html)

| Status | Meaning                          |
| ------ | -------------------------------- |
| `500` | Unexpected server error.         |

#### [Example](/content/docs/reference/api/openapi#example/index.html)

Request

```
curl "https://api.machinemail.dev/v0/openapi.json"
```

Response 200

```
{
  "key": "value"
}
```
